Bug 987042 - logcollector does not collect /var/log/sanlock.log from hypervisors
logcollector does not collect /var/log/sanlock.log from hypervisors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.2
Assigned To: Allon Mureinik
Aharon Canan
storage
: EasyFix, ZStream
Depends On: 985220
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 11:23 EDT by Idith Tal-Kohen
Modified: 2016-02-10 14:21 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The log collector now collects /var/log/sanlock.log from Hypervisors, to assist in debugging sanlock errors.
Story Points: ---
Clone Of: 985220
Environment:
Last Closed: 2013-08-13 12:18:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17001 None None None Never

  None (edit)
Comment 2 Aharon Canan 2013-07-27 07:31:21 EDT
verifying using sf19 failed.

[root@acanan-rhevm-31 ~]# rhevm-log-collector collect
INFO: Gathering oVirt Engine information...
INFO: Gathering PostgreSQL the oVirt Engine database and log files from localhost...
Please provide the REST API password for the admin@internal oVirt Engine user (CTRL+D to skip): 
About to collect information from 2 hypervisors. Continue? (Y/n): Y
INFO: Gathering information from selected hypervisors...
INFO: collecting information from 10.35.116.2
INFO: collecting information from 10.35.116.3
INFO: finished collecting information from 10.35.116.2
INFO: finished collecting information from 10.35.116.3
Creating compressed archive...
INFO: Log files have been collected and placed in /tmp/sosreport-LogCollector-20130727141909.tar.xz.
The MD5 for this file is 6ca9af39431f50a2c75622c8e25e7768 and its size is 113.8M


sanlock.log file doesn't appear.


output
======
[root@acanan-rhevm-31 10.35.116.2]# find ../../acanan-rhevm-31-2013072714171374923874/ -name '*san*'
../../acanan-rhevm-31-2013072714171374923874/etc/sysconfig/sandbox
[root@acanan-rhevm-31 10.35.116.2]# find ../../log-collector-data/ -name '*san*'
../../log-collector-data/10.35.116.2/camel-vdsb-2013072714181374923900/etc/sysconfig/sandbox
../../log-collector-data/10.35.116.2/camel-vdsb-2013072714181374923900/etc/sysconfig/sanlock
../../log-collector-data/10.35.116.2/camel-vdsb-2013072714181374923900/etc/libvirt/qemu-sanlock.conf
Comment 3 Allon Mureinik 2013-07-27 08:52:33 EDT
Aharon, please add the log collector's output and the rpm version of VDSM
Comment 4 Aharon Canan 2013-07-27 09:19:56 EDT
By mistake I check the wrong host.

I checked the relevant host and it works fine.

verified using sf19.
Comment 5 Allon Mureinik 2013-07-28 04:53:48 EDT
Removed FailedQA as per comment 4
Comment 7 errata-xmlrpc 2013-08-13 12:18:37 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1155.html

Note You need to log in before you can comment on or make changes to this bug.